﻿@model List<ReservationVM>

@{
    ViewData["Title"] = "Create";
}
<style>
    .form-group{
        padding: 10px;
    }
</style>
<h1>Create</h1>

<h4>Reservation</h4>
<hr />
<div class="row">
    <div class="col-md-12">
        <form asp-action="Create" id="formId">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="col-md-8">
                <div class="row">
                <div class="form-group">
                    <label asp-for="@Model[0].FromDate"  class="control-label"></label>
                    <input asp-for="@Model[0].FromDate" type="date" class="form-control" id="FromDate"/>
                    <span asp-validation-for="@Model[0].FromDate" class="text-danger"></span>
                </div>
                    <div class="form-group">
                        <label asp-for="@Model[0].ToDate" class="control-label"></label>
                        <input asp-for="@Model[0].ToDate" type="date" class="form-control" id="ToDate"/>
                        <span asp-validation-for="@Model[0].ToDate" class="text-danger"></span>
                    </div>
                </div>
            </div>
            <div class="col-12">
                @if (Model != null && Model.Count > 0)
                {
                    var i = 0;
                    @foreach (var Reservation in Model)
                     {
                              i=i+1;
                      
                         <div class="row">
                             <div class="form-group">
                             <label asp-for="@Reservation.RoomId" class="" ></label>
                             <select asp-for="@Reservation.RoomId" id="RoomId_@i" class="form-control" asp-items="ViewBag.Rooms"></select>
                             </div>
                             <div class="form-group">
                                 <label asp-for="@Reservation.MealPlanId" class=""></label>
                                 <select asp-for="@Reservation.MealPlanId" id="MealPlanId_@i" class="form-control" asp-items="ViewBag.MealsPlans"></select>
                             </div>
                             <div class="form-group">
                                 <label asp-for="@Reservation.AdultsNumber" class="custom-control-inline"></label>
                                 <input asp-for="@Reservation.AdultsNumber" id="AdultsNumber_@i" class="form-control"/>
                                 <span asp-validation-for="@Reservation.AdultsNumber" class="text-danger"></span>
                             </div>
                             <div class="form-group">
                                 <label asp-for="@Reservation.ChildsNumber" class="custom-control-inline"></label>
                                 <input asp-for="@Reservation.ChildsNumber" id="ChildsNumber_@i" class="form-control"/>
                                 <span asp-validation-for="@Reservation.ChildsNumber" class="text-danger"></span>
                             </div>
                         </div>
                     }
                }

            </div> 
            <div class="form-group">
                <input type="button" value="Calculate" id="Calculate_btn" class="btn btn-primary" />
            </div>
            @*<div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>*@
            <div class="form-group "  id="total">
                
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script>
        var arr = [];
        $(document).ready(function() {


        });
        $('#Calculate_btn').click(function() {
            arr = [];
            $('#total').html();

            for (var i = 1; i < 4; i++) {
                var obj = {};
                obj.FromDate = $(`#FromDate`).val();
                obj.ToDate = $(`#ToDate`).val();
                obj.RoomId = $(`#RoomId_${i}`).val();
                obj.MealPlanId = $(`#MealPlanId_${i}`).val();
                obj.AdultsNumber = $(`#AdultsNumber_${i}`).val();
                obj.ChildsNumber = $(`#ChildsNumber_${i}`).val();
                if (obj.AdultsNumber != 0 && obj.ChildsNumber) {
                    arr.push(obj);
                }
            }
            var newData = JSON.stringify(arr)
            console.log(arr);
            $.ajax({
                url: '/Reservations/CalculatePrice',
                data: newData,
                type: 'POST',
                contentType: "application/json",
                success: function(result) {
                    if (result.success) {
                        // alert(result.Data);
                        var lable = `<label class="bg-success col-form-label p-2 font-weight-bolder">Your Booking Total Price Is: ${result.data}  USD</label>`;
                        $('#total').html(lable);
                    } else {
                        var lable = `<label class="bg-danger col-form-label p-2 font-weight-bolder">Error Occured ! ${result.message}  </label>`;
                        $('#total').html(lable);
                    }
                },
                error: function(result) {
                    console.log(result);
                }
            });
        });
    </script>
}
